{ EHNAPPC Error codes }

{$R CAWIN.RES}

Const
{ From :
  AS/400: Client Access/400 for Windows 3.1 API and Technical Reference
  _ Copyright IBM Corp. 1994
 SC41-3531-00
 15/06/94 17:18:36
 D:\BOOKS\QBKAKN00.BOO

+------------------------------------------------------------------------+
 Table  5-1. Return Codes for the Router API                            
+------------------------------------------------------------------------
}
 EHNAPPC_ = $0000;

 EHNAPPC_OK = EHNAPPC_ + $00;
 EHNAPPC_DEALLOCNORMAL = EHNAPPC_ + $01;

 EHNAPPC_PROGRAMERRNOTRUNCATION = EHNAPPC_ + $02;
 EHNAPPC_PROGRAMERRTRUNCATION = EHNAPPC_ + $03;
 EHNAPPC_PROGRAMERRPURGING = EHNAPPC_ + $04;

 EHNAPPC_RESOURCEFAILURERETRY = EHNAPPC_ + $05;
 EHNAPPC_RESOURCEFAILURENORETRY = EHNAPPC_+$06;

 EHNAPPC_UNSUCCESSFUL = EHNAPPC_ +$07;
 EHNAPPC_APPCBUSY = EHNAPPC_ + $08;

 EHNAPPC_PARMCHKINVALIDVERB = EHNAPPC_ + $14;
 EHNAPPC_PARMCHKINVALIDCONVERID = EHNAPPC_ + $15;
 EHNAPPC_PARMCHKBUFFERCROSSSEG = EHNAPPC_ +$16;
 EHNAPPC_PARMCHKTPNAMELENGTH = EHNAPPC_ + $17;
 EHNAPPC_PARMCHKINVCONVERTYPE = EHNAPPC_ + $18;
 EHNAPPC_PARMCHKBADSYNCLVLALLOC = EHNAPPC_ + $19;
 EHNAPPC_PARMCHKBADRETURNCTRL = EHNAPPC_ + $1A;
 EHNAPPC_PARMCHKPIPTOOLONG = EHNAPPC_ + $1B;
 EHNAPPC_PARMCHKBADPARTNERNAME = EHNAPPC_ + $1C;
 EHNAPPC_PARMCHKCONFNOTALLOWED = EHNAPPC_ + $1D;
 EHNAPPC_PARMCHKBADDEALLOCTYPE = EHNAPPC_ + $1E;
 EHNAPPC_PARMCHKPREPTORCVTYPE = EHNAPPC_ + $1F;
 EHNAPPC_PARMCHKBADFILLTYPE = EHNAPPC_ + $20;
 EHNAPPC_PARMCHKRECMAXLEN = EHNAPPC_ + $21;
 EHNAPPC_PARMCHKUNKNOWNSECTYPE = EHNAPPC_ + $22;
 EHNAPPC_PARMCHKRESFLDNOTZERO = EHNAPPC_ + $23;

 EHNAPPC_STATECHKNOTINCONFSTAT = EHNAPPC_ + $28;
 EHNAPPC_STATECHKNOTINRECEIVE = EHNAPPC_ + $29;
 EHNAPPC_STATECHKREQSNDBADSTAT = EHNAPPC_ + $2A;
 EHNAPPC_STATECHKSNDINBADSTATE = EHNAPPC_ + $2B;
 EHNAPPC_STATECHKSNDERRBADSTAT = EHNAPPC_ + $2C;

 EHNAPPC_ALLOCERRNORETRY = EHNAPPC_ + $32;
 EHNAPPC_ALLOCERRRETRY = EHNAPPC_ + $33;
 EHNAPPC_ALLOCERRPGMNOTAVAILNR = EHNAPPC_ + $34;
 EHNAPPC_ALLOCERRTPNNOTRECOG = EHNAPPC_ + $35;
 EHNAPPC_ALLOCERRPGMNOTAVAILR = EHNAPPC_ + $36;
 EHNAPPC_ALLOCERRSECNOTVALID = EHNAPPC_ + $37;
 EHNAPPC_ALLOCERRCONVTYP = EHNAPPC_ + $38;
 EHNAPPC_ALLOCERRPIPNOTALLOWED = EHNAPPC_ + $39;
 EHNAPPC_ALLOCERRPIPNOTCORRECT = EHNAPPC_ + $3A;
 EHNAPPC_ALLOCERRSYNCHLEVEL = EHNAPPC_ + $3B;

 EHNAPPC_DEALLOCABENDPROGRAM = EHNAPPC_ + $46;
 EHNAPPC_INSUFFICIENTMEMORY = EHNAPPC_ + $47;
 EHNAPPC_MEMORYALLOCERROR = EHNAPPC_ + $48;
 EHNAPPC_TOOMANYCONVERSATIONS = EHNAPPC_ + $49;
 EHNAPPC_CONVTABLEFULL = EHNAPPC_ + $4A;

 EHNAPPC_ROUTERNOTINSTALLED = EHNAPPC_ + $4B;
 EHNAPPC_ROUTERWRONGLEVEL= EHNAPPC_ + $4C;

 EHNAPPC_PCSWINNOTLOADED = EHNAPPC_ + $4D;
 EHNAPPC_PCSWINOUTOFMEMORY = EHNAPPC_ + $4E;

 EHNAPPC_INVALIDUSERIDLEN = EHNAPPC_ + $4F;
 EHNAPPC_INVALIDPASSWORDLEN = EHNAPPC_ + $50;
 EHNAPPC_INVALIDUNAME = EHNAPPC_ + $51;

 EHNAPPC_UNDEFINED = EHNAPPC_ + $63;

{
+------------------------------------------------------------------------+
 Table  7-1. Return Codes for the Submit Remote Command API             
+------------------------------------------------------------------------
}
 EHNSR_   = EHNAPPC_UNDEFINED + 1;

 EHNSR_OK = EHNSR_ + $0000;

 EHNSR_WARNING = EHNSR_ +$000A
 ;
 EHNSR_ERROR = EHNSR_ + $0014;
 EHNSR_ACCESSDAMAGE = EHNSR_ + $0015;
 EHNSR_SEVEREERROR = EHNSR_ + $0016;
 EHNSR_PERMANENTDAMAGE = EHNSR_ + $0017;
 EHNSR_TARGETDAMAGE = EHNSR_ + $0018;

 EHNSR_CMDSTRINGSYNTAX = EHNSR_ + $001F;

 EHNSR_SYSNAMESYNTAX = EHNSR_ + $0029;

 EHNSR_MSGTRUNCATE = EHNSR_ + $002B;

 EHNSR_INACTIVECONVERSATION = EHNSR_ + $002D;

 EHNSR_INVALIDPOINTER = EHNSR_ +$0030;
 EHNSR_CMDNOTSUPPORT = EHNSR_ + $0031;
 EHNSR_CONTACTEND = EHNSR_ + $0032;
 EHNSR_CONVERSATIONEND = EHNSR_ + $0033;
 EHNSR_TARGETDDMEND = EHNSR_ + $0034;
 EHNSR_NOSESSIONAVAIL = EHNSR_ + $0035;
 EHNSR_SYSNAMENOTFOUND = EHNSR_ + $0036;
 EHNSR_NORESOURCEAVAIL = EHNSR_ + $0037;
 EHNSR_TEMPINTERRUPT = EHNSR_ + $0038;
 EHNSR_NODDMONSYSTEM = EHNSR_ + $0039;
 EHNSR_SECURITYINVALID = EHNSR_ + $003A;

 EHNSR_ROUTERNOTLOADED = EHNSR_ + $0046;

 EHNSR_NOMEMORY = EHNSR_ + $0048;
 EHNSR_INVALIDMSGBUFFER = EHNSR_ + $0049;
 EHNSR_INVALIDCMDBUFFER = EHNSR_ + $004A;
 EHNSR_INVALIDSYSTEMBUFFER = EHNSR_ + $004B;

 EHNSR_REQUESTINTERRUPT = EHNSR_ + $0052;
 EHNSR_INVALIDCONVSTATE = EHNSR_ + $0053;
 EHNSR_PARMCHECKERROR = EHNSR_ + $0054;
 EHNSR_ALLOCATIONERROR = EHNSR_ + $0055;
 EHNSR_UNEXPECTRETURNCODE = EHNSR_ + $0056;
 EHNSR_NOTINREQUESTSTATE = EHNSR_ + $0057;
 EHNSR_INVALIDMSGCODEPOINT = EHNSR_ + $0058;

 EHNSR_WRONGDATALENGTH = EHNSR_ + $005B;

 EHNSR_UNEXPECTEDERROR = EHNSR_ + $0063;

{ !!! Delphi Messages !!! }

 EHNSR_NOMOREMESSAGES = EHNSR_ + $FF00;
 EHNSR_NOROUTERTOSYSTEM = EHNSR_ + $FF01;
 EHNSR_INVALIDWINDOWHANDLE = EHNSR_ + $FF02;
 EHNSR_INTERNALERROR = EHNSR_ + $FF03;
 EHNSR_ENVIRONMENTNOTSUPPORT = EHNSR_ + $FF04;
{
+------------------------------------------------------------------------+
 Table  6-1. Return Codes for the Transfer Function Windows API         
+------------------------------------------------------------------------
}
 EHNTF_ = $0000;
 EHNTF_OK = EHNTF_ + $0000;
 EHNTF_REQ_ALREADY_ENDED = EHNTF_ + $0103;
 EHNTF_UNXLATABLE_DATA = EHNTF_ + $0300;
 EHNTF_UNXLATABLE_PC_TO_400_DATA = EHNTF_ + $0302;
 EHNTF_AS400_WARNING = EHNTF_ + $0400;
 EHNTF_EOF = EHNTF_ + $1FFF;
 EHNTF_MAX_REQ_ACTIVE = EHNTF_ + $2000;
 EHNTF_XFER_LENGTH_INVALID = EHNTF_ + $2001;
 EHNTF_XFER_REQ_CHAR_UNXLATABLE = EHNTF_ + $2002;
 EHNTF_NO_XFER_UNXLAT_NUM_DATA = EHNTF_ + $2003;
 EHNTF_RANGE_ERROR_NUMERIC_DATA = EHNTF_ + $2004;
 EHNTF_BAD_APP_RECORD_LENGTH = EHNTF_ + $2005;
 EHNTF_INCORRECT_NULL_MAP_OFFSET = EHNTF_ + $2007;
 EHNTF_FIELD_LENGTH_OVER_4096 = EHNTF_ + $2008;
 EHNTF_WAIT_REQUEST_STILL_ACTIVE = EHNTF_ + $2009;
 EHNTF_XFER_REQ_NOT_OPENED = EHNTF_ + $2010;
 EHNTF_CANNOT_RETRIEVE_TEMPLATES = EHNTF_ + $2011;
 EHNTF_CANNOT_GET_REC_PC_TO_400 = EHNTF_ + $2012;
 EHNTF_CANNOT_SEND_REC_400_TO_PC = EHNTF_ + $2013;
 EHNTF_INCORRECT_RTR_CONV_ADDR_PARM = EHNTF_ + $2019;
 EHNTF_INCORRECT_FUNCTION_REQUEST = EHNTF_ + $2020;
 EHNTF_INCORRECT_BUFFER_LENGTH = EHNTF_ + $2021;
 EHNTF_INCORRECT_BUFFER_ADDRESS = EHNTF_ + $2022;
 EHNTF_INCORRECT_BUFFER_ADDRESS_PARM = EHNTF_ + $2023;
 EHNTF_INCORRECT_RETURN_ADDRESS_PARM = EHNTF_ + $2024;
 EHNTF_INCORRECT_RETURN_LENGTH_PARM1 = EHNTF_ + $2025;
 EHNTF_INCORRECT_RETURN_LENGTH_PARM2 = EHNTF_ + $2026;
 EHNTF_INCORRECT_SEC_RET_COCE_PARM = EHNTF_ + $2027;
 EHNTF_INCORRECT_SYSTEM_ADDRESS_PARM = EHNTF_ + $2028;
 EHNTF_PCSWIN_COMM_BUFFER_TOO_SMALL = EHNTF_ + $2029;
 EHNTF_OPTIONS_NOT_SUPPORTED = EHNTF_ + $2030;
 EHNTF_OPTIONS_NOT_ALL_SUPPORTED = EHNTF_ + $2031;
 EHNTF_FUNCTION_AND_STYLE_INVALID = EHNTF_ + $2032;
 EHNTF_STYLE_KEYWORD_NOT_SUPPORT = EHNTF_ + $2033;
 EHNTF_AS400_ERROR_OFFSET_GIVEN = EHNTF_ + $3000;
 EHNTF_AS400_ERROR_NO_OFFSET = EHNTF_ + $3100;
 EHNTF_ROUTER_NOT_STARTED = EHNTF_ + $5042;
 EHNTF_CONNECT_TO_SYSTEM_FAILED = EHNTF_ + $5048;
 EHNTF_SYS_NAME_INCORR_OR_INACTIVE = EHNTF_ + $5050;
 EHNTF_SYS_PROGRAM_NOT_FOUND = EHNTF_ + $5052;
 EHNTF_SYS_PROGRAM_ENDED_UNEXPECT = EHNTF_ + $5054;
 EHNTF_SYS_SECURITY_ERROR = EHNTF_ + $5056;
 EHNTF_SYS_NOT_SUPPORTED = EHNTF_ + $5058;
 EHNTF_WRONG_PROGRAM_VERSION = EHNTF_ + $5060;
 EHNTF_SYS_CONTACT_ENDED = EHNTF_ + $5062;
 EHNTF_SYS_CONTACT_INTERRUPTED = EHNTF_ + $5064;
 EHNTF_SYS_RESOURCE_FAILURE = EHNTF_ + $5066;
 EHNTF_COV_ENDED_UNEXPECTEDLY = EHNTF_ + $5067;
 EHNTF_INSUFFICIENT_MEMORY = EHNTF_ + $5071;
 EHNTF_PCSWIN_NOT_FOUND = EHNTF_ + $5310;
 EHNTF_UNSUPPORTED_WINDOWS_MODE = EHNTF_ + $5311;
 EHNTF_OPERATING_SYSTEM_ERROR = EHNTF_ + $5400;
 EHNTF_UNDEFINED_ERROR = EHNTF_ + $9999;

 SYS0000 = $6000;

 HOST_NAME = SYS0000 + 1;
 HOST_INACTIVE = SYS0000 + 2;

 TFR_LOCAL_FILE = SYS0000 + 3;
 TFR_REMOTE_FILE = SYS0000 + 4;

